Module java.desktop
Package javax.swing.plaf.synth

## Class SynthCheckBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.synth.SynthButtonUI
        - - javax.swing.plaf.synth.SynthToggleButtonUI
          - - javax.swing.plaf.synth.SynthRadioButtonUI
            - - javax.swing.plaf.synth.SynthCheckBoxUI

- All Implemented Interfaces:
    `PropertyChangeListener`, `EventListener`, `SynthConstants`, `SynthUI`

      public class SynthCheckBoxUI
      extends SynthRadioButtonUI

  Provides the Synth L&F UI delegate for `JCheckBox`.
  Since:
    1.7

- - ### Field Summary

    - ### Fields declared in class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

    - ### Fields declared in interface javax.swing.plaf.synth.SynthConstants

      `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynthCheckBoxUI()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent b)` | Creates a new UI object for the given component.

    - ### Methods declared in class javax.swing.plaf.synth.SynthRadioButtonUI

      `getSizingIcon`

    - ### Methods declared in class javax.swing.plaf.synth.SynthButtonUI

      `getDefaultIcon, getIcon, paint, paint, update`

    - ### Methods declared in class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getPropertyPrefix, getTextShiftOffset, installDefaults, installKeyboardActions, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.beans.PropertyChangeListener

      `propertyChange`

    - ### Methods declared in interface javax.swing.plaf.synth.SynthUI

      `getContext, paintBorder`

- - ### Constructor Detail

    - #### SynthCheckBoxUI

          public SynthCheckBoxUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent b)

      Creates a new UI object for the given component.
      Parameters:
        `b` - component to create UI object for
      Returns:
        the UI object